GET Get Order
https://pd.{shard}.a.pvp.net/store/v1/order/{order id} Get the status and rewards of a purchase order. The {order id} can be obtained from the POST Create Order endpoint.
Headers
-
X-Riot-Entitlements-JWT: {entitlement token} -
Authorization: Bearer {auth token}
URL Parameters
Other Variables
-
entitlement tokenCan be obtained locally with the Entitlements Token endpoint or remotely using Riot auth and the Entitlement endpoint -
auth tokenCan be obtained locally with the Entitlements Token endpoint or remotely by first using the Auth Cookies endpoint then using the cookies with the Auth Request endpoint
Response
type GetOrderResponse = {
/** UUID */
OrderID: string;
Status: "ACCEPTED" | "COMPLETE" | "FAILED";
/** Map of reward category (e.g. "Cards", "Skins", "Buddies", "Bundles") to reward items */
OrderRewards: {
[x: string]: {
/** Item ID */
RewardID: string;
Amount: number;
}[];
};
}; {
"OrderID": "d7eAfc6c-4CAc-faAc-bAFa-9C1aeb723dB3",
"Status": "ACCEPTED",
"OrderRewards": {
"delibero": [
{
"RewardID": "40a04C25-bDAC-eF5B-cEa8-1a2AB0Cc8Bf7",
"Amount": 1938337000013593
},
{
"RewardID": "CCa94F76-0E9a-342c-1e0E-DAEe2FB0eEAE",
"Amount": 441933504122308
}
]
}
}